get
https://services.azuga.com/azuga-ws-oauth/v3/beacons/.json
This API provides you with details about a single Beacon present in your account. You are allowed to fetch only for the Beacon you have access to and one beacon detail can be accessed in a request. You need to pass the unique identifier of the beacon in the request.
Recent Requests
Log in to see full request history
| Time | Status | User Agent | |
|---|---|---|---|
Retrieving recent requests… | |||
Loading…
Sample Requesthttps://services.azuga.com/azuga-ws-oauth/v3/beacons/13544.json
API Response Explanation
| Field | Description | Data Type |
|---|---|---|
| beaconId | Unique Identifier representing the beacon | Long |
| macAddress | MAC address of the Beacon | String |
| serialNumber | Serial number of the beacon | String |
| customerId | Unique Identifier representing the customer | Long |
| userId | Unique Identifier representing the user associated with the beacon | String |
| createdAt | Time at which beacon is added to the account | Date |
| updatedAt | Last updated time of the Beacon | Date |
| createdBy | The user who added the Beacon | String |
| updatedBy | The user who updated the Beacon details last | String |
| deleted | Boolean representing the delete status of the beacon True = Deleted False = Not Deleted | boolean |
| lastConnectedAt | Last connected time of the beacon in UTC milliseconds | Timestamp |
| userName | Full name of the driver to which the beacon is associated with | String |
| trackeeName | Name of the vehicle to which the beacon is associated with | String |
| firstName | First name of the driver to which the beacon is associated with | String |
| lastName | Last name of the driver to which the beacon is associated with | String |
| packageEnabled | For internal use | Boolean |
| subscribe | For internal use | Boolean |
| trackeeId | For Internal use. The unique identifier of the vehicle | String |
| timeZone | Last detected timezone of the beacon | String |
| beaconType | Value (0 or 1) indicates whether the Beacon is assigned to driver/vehicle 0 - assigned to driver | Integer |

